<bugID>876655<Summary>Watch expressions for non-toplevel frames</Summary><Description>STR:

1. Open the browser debugger
2. Add a breakpoint somewhere that's got at least 1 stack frame above it.
3. Hit the breakpoint
4. Move up in the callstack by using the 'breadcrumbs' at the top
5. Add a watch

ER:
The watch is added and I can see its result in the current function context

AR:
The watch is added and I am transported to the top of the call stack, where the expression likely doesn't make sense. On top of that, moving back down the call stack, my watch expression disappears.

This makes exception debugging hard because I cannot easily evaluate what happened "above me" in the callstack.</Description></bugID>